import java.util.Scanner;
import java.util.Arrays;
import java.util.Vector;

public class ShutTheBoxII {

    private static void solveShutTheBoxII(int[] values, int target) {
        boolean[] solution = new boolean[values.length];
        boolean solution_found = false;
        double probability = -1;

        /* ------------------- INSERT CODE HERE ---------------------
         * 
         * Your code should set the values for the variables solution[], solution_found, 
         * and probability appropriately.
         *
         * solution_found should be set to true if there is a valid move.
         *
         * the boolean array "solution" should record the best move: if solution[i] = true, 
         * then the corresponding values[i] should be closed.
         *
         * probabilty should be the probability of eventually shutting the box AFTER making
         * this move.
         *
         * */

            
        /* -------------------- END OF INSERTION --------------------*/

        if(!solution_found) {
            System.out.println("No move found.");
        } else {
            System.out.print("The best move is:");
            for(int i = 0; i < solution.length; i++)
                if(solution[i])
                    System.out.print(" " + values[i]);
            System.out.println(", and probability of shutting = " + (new java.text.DecimalFormat("#.####")).format(probability));
        }
    }
    
    public static void main(String[] args) {

        Scanner sc = new Scanner(System.in);

        int numCases = sc.nextInt();

        for(int i = 0; i < numCases; i++) 
        {
            int target = sc.nextInt();

            int numEntries = sc.nextInt();

            int[] values = new int[numEntries];

            for(int j = 0; j < values.length; j++)
                values[j] = sc.nextInt();

            solveShutTheBoxII(values, target);
        }
    }
}
