import java.util.Scanner;

public class ErrorDetection {


    private static boolean solveErrorDetection(int value, int checkbit) {
        boolean valid = false;

        /* ------------------- INSERT CODE HERE ---------------------*/

        /* We will simply use the builtin toBinaryString. Once that is done, counting the 
         * number of ones is easy. */

        String bitstring = Integer.toBinaryString(value);
        int bitcount = 0;

        for (int i=0; i<bitstring.length(); i++) {
            if (bitstring.substring(i,i+1).equals("1")) {
                bitcount++;
            }
        }

        valid = (bitcount%2 == checkbit);

        /* -------------------- END OF INSERTION --------------------*/

        return valid;
    }

    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);

        int numCases = sc.nextInt();

        for(int i = 0; i < numCases; i++) 
        {

            int value = sc.nextInt();

            int checkbit = sc.nextInt();

            if (solveErrorDetection(value, checkbit)) {
                System.out.println("Valid");
            }
            else {
                System.out.println("Corrupt");
            }
        }
    }
}



