import java.util.ArrayList;
import java.util.Scanner;

public class StringTransform {

	private static String solveStringTransform(ArrayList<String> lhs,
			ArrayList<String> rhs, String target) {

		String result;

		/* ------------------- INSERT CODE HERE ---------------------*/

		String current = target;
		for (int i=0; i<lhs.size(); i++) {
			String s1 = lhs.get(i);
			int loc = current.indexOf(s1);

			if (loc >= 0) {		// lhs found in target string
				String pre;
				String post;
				int strlen = current.length();

				if (loc > 0) 
					pre = current.substring(0,loc);
				else 
					pre = "";
				
				if (loc < strlen-1)
					post = current.substring(loc+1, strlen);
				else
					post = "";
				current = pre+rhs.get(i)+post;
			}
		}
		result = current;

		/* -------------------- END OF INSERTION --------------------*/

		return result;
	}

	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		int nTests = scanner.nextInt();		// number of test cases
		scanner.nextLine();					// go to line after nTests

		for (int t = 0; t < nTests; t++) {
			String line = scanner.nextLine();	
			Scanner scanner2 = new Scanner(line);

			ArrayList<String> lhs = new ArrayList<String>();
			ArrayList<String> rhs = new ArrayList<String>();

			while (scanner2.hasNext()) {
				String s1 = scanner2.next();
				String s2 = scanner2.next();
				lhs.add(s1);
				rhs.add(s2);
			}

			line = scanner.nextLine();		
			scanner2 = new Scanner(line);

			ArrayList<String> targets = new ArrayList<String>();
			while (scanner2.hasNext()) {
				String s1 = scanner2.next();
				targets.add(s1);
			}

			System.out.print("Transformed strings: ");
			for (String ts: targets) {
				String result = solveStringTransform(lhs, rhs, ts);
				System.out.print(result + " ");
			}
			System.out.println();
		}
	}
}
